
QGIS Application - Bug report #10494

SAGA "Convert Points to Line(s)" wrong output if input is a CSV

2014-06-07 01:58 PM - Antonio Locandro

Status: Closed

Priority: Low

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 18905

Description

Points to line is not respecting sequence of field used creating artifacts

History

#1 - 2014-06-07 02:09 PM - Giovanni Manghi

- Status changed from Open to Feedback

do you mean the "points to path" tool?

#2 - 2014-06-07 02:20 PM - Giovanni Manghi

Giovanni Manghi wrote:

do you mean the "points to path" tool?

or SAGA "convert points to line(s)"?

#3 - 2014-06-07 02:30 PM - Antonio Locandro

SAGA "convert points to line(s)"

#4 - 2014-06-07 02:31 PM - Giovanni Manghi

Antonio Locandro wrote:

SAGA "convert points to line(s)"

the points to path tool work as expected. SAGA tool need to be verified in SAGA gui or with CLI and see if it is SAGA issue (likely).

#5 - 2014-06-07 03:02 PM - Antonio Locandro

Problem happens if point layer is CSV, if point layer is converted from CSV to shapefile then it works as expected
#6 - 2014-06-08 01:10 AM - Giovanni Manghi

- Subject changed from Points to Line to SAGA "Convert Points to Line(s)" wrong output if input is a CSV

- Target version set to Future Release - Lower Priority

- Priority changed from Normal to Low

#7 - 2014-10-09 07:41 AM - Alexander Bruy

- Category changed from 94 to Processing/SAGA

#8 - 2014-10-30 08:08 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

works as expected in qgis master.

#9 - 2014-10-30 08:09 AM - Giovanni Manghi

Giovanni Manghi wrote:

works as expected in qgis master.

better: this saga tool does not seems to support csv as input.

Files

points-lines.png 50.2 KB 2014-06-07 Antonio Locandro

shapes.zip 1.8 MB 2014-06-07 Antonio Locandro
